## ETableClickToAdd

ETableClickToAdd

## Functions

void | e_table_click_to_add_commit ()
gboolean | e_table_click_to_add_is_editing ()

## Properties

ETableHeader * | header | Read / Write
gdouble | height | Read
gboolean | is-editing | Read
gchar * | message | Read / Write
ETableModel * | model | Read / Write
gdouble | width | Read / Write

## Signals

void | cursor-change | Run Last
void | style-updated | Run Last

## Types and Values

struct | ETableClickToAdd

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GnomeCanvasItem
                ╰── GnomeCanvasGroup
                    ╰── ETableClickToAdd

## Description

## Functions

### e_table_click_to_add_commit ()

    void
    e_table_click_to_add_commit (ETableClickToAdd *etcta);

This routine commits the current thing being edited and returns to just displaying the click to add message.

#### Parameters

etcta | The `ETableClickToAdd` to commit. |

### e_table_click_to_add_is_editing ()

    gboolean
    e_table_click_to_add_is_editing (ETableClickToAdd *etcta);

## Types and Values

### struct ETableClickToAdd

    struct ETableClickToAdd;

## Property Details

### The `“header”` property

      “header”                   ETableHeader *

Flags: Read / Write

### The `“height”` property

      “height”                   gdouble

Flags: Read

Allowed values: >= 0

Default value: 0

### The `“is-editing”` property

      “is-editing”               gboolean

Whether is in an editing mode.

Flags: Read

Default value: FALSE

### The `“message”` property

      “message”                  gchar *

Flags: Read / Write

Default value: NULL

### The `“model”` property

      “model”                    ETableModel *

Flags: Read / Write

### The `“width”` property

      “width”                    gdouble

Flags: Read / Write

Allowed values: >= 0

Default value: 0

## Signal Details

### The `“cursor-change”` signal

    void
    user_function (ETableClickToAdd *etableclicktoadd,
                   gint              arg1,
                   gint              arg2,
                   gpointer          user_data)

Flags: Run Last

### The `“style-updated”` signal

    void
    user_function (ETableClickToAdd *etableclicktoadd,
                   gpointer          user_data)

Flags: Run Last